#pragma pack(push, 4)

// Scheme "message" description

    struct FutAddOrder
    {
        char broker_code[5];
        char isin[26];
        char client_code[4];
        signed int type;
        signed int dir;
        signed int amount;
        char price[18];
        char comment[21];
        char broker_to[21];
        signed int ext_id;
        signed int du;
        char date_exp[9];
        signed int hedge;
        signed int dont_check_money;
        struct cg_time_t local_stamp;
        
    };
    const int FutAddOrder_index = 0;

    struct FORTS_MSG101
    {
        signed int code;
        char message[256];
        signed long long order_id;
        
    };
    const int FORTS_MSG101_index = 1;

    struct FORTS_MSG99
    {
        signed int queue_size;
        signed int penalty_remain;
        char message[129];
        signed int code;
        
    };
    const int FORTS_MSG99_index = 2;

    struct FORTS_MSG100
    {
        signed int code;
        char message[256];
        
    };
    const int FORTS_MSG100_index = 3;


#pragma pack(pop)
